//
// FILE:     CloseableFrame.java
// AUTHOR:   Eugene Wallingford
// DATE:     2012/10/09
// COMMENT:  Class CloseableFrame is a variant of java.awt.Frame that 
//           closes the window and exits the application when the user
//           presses the close button on the window.  Inspired by
///          Stuart Reges's JFrame version of CloseableFrame.
//
// MODIFIED: none
// CHANGE:   none
//

import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

public class CloseableFrame extends Frame
{
  public CloseableFrame()
  {
    addWindowListener( new WindowAdapter() {
      public void windowClosing( WindowEvent e )
      {
        System.exit(0);
      }
    } );
  }
}